package edu.mermet.tp8.fenetres;

import java.awt.Dimension;
import java.io.IOException;
import java.lang.invoke.SwitchPoint;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.Action;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

/**
 * 
 * @author Meryeme Harras
 *
 */

public class FenetreAide extends JDialog {
    JList<String> liste;
    JScrollPane scroll;
    JEditorPane explication;
    JSplitPane sep;
    Locale local;
    ResourceBundle ressourcesTitres, ressourcesTextes;

    
    public FenetreAide(JFrame me, Action action) {
        super(me, "Comment Faire?");
        setLocationRelativeTo(me);
        
    	sep = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
        this.setContentPane(sep);
	
        local = new Locale("fr", "FR");
		ressourcesTitres = ResourceBundle.getBundle("HowTo/titres", local);
        ressourcesTextes = ResourceBundle.getBundle("HowTo/textes", local);

        String[] choix = {ressourcesTitres.getString("titre1"),ressourcesTitres.getString("titre2"), ressourcesTitres.getString("titre3"),
                ressourcesTitres.getString("titre4"), ressourcesTitres.getString("titre5"), ressourcesTitres.getString("titre6")};
        liste = new JList<String>(choix);
        sep.setLeftComponent(liste);

        scroll = new JScrollPane();
        scroll.setPreferredSize(new Dimension(200, 200));
        explication = new JEditorPane();
        explication.setEditable(false);
        explication.setContentType("text/html");
        scroll.setViewportView(explication);
    
        
        //this.setSize(600,200);
        pack();

        liste.addListSelectionListener(new ListSelectionListener() {
            @Override
            public void valueChanged(ListSelectionEvent e) {
                switch (liste.getSelectedIndex()) {
                case 0:
                    explication.setText(ressourcesTextes.getString("titre1"));

                    break;
                case 1:
                    explication.setText(ressourcesTextes.getString("titre2"));

                    break;
                case 2:
                    explication.setText(ressourcesTextes.getString("titre3"));

                    break;
                case 3:
                    explication.setText(ressourcesTextes.getString("titre4"));

                    break;
                case 4:
                    explication.setText(ressourcesTextes.getString("titre5"));

                    break;
                case 5:
                    explication.setText(ressourcesTextes.getString("titre6"));

                    break;
                default:
                    break;
                }

            }
        });
        sep.setRightComponent(scroll);
}
}

